import ApiModel from "~/models/ApiModel";
import {Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : Country
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Core/Country.php
 */
export default class Country extends ApiModel {
  static entity = 'countries'

  @Uid()
  declare id: number | string | null

  @Str('')
  declare name: string
}
